Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content
Interface IContentFactory

public interface IContentFactory

Factory interface to obtain the various Content Managers.

Method Summary
`IContentItemManager` | `getContentItemManager()` Returns an `IContentItemManager` object that enables creation, deletion, modification, publishing and query functionality for Content items.
`IDataEntryTemplateManager` | `getDataEntryTemplateManager()` Returns an `IDataEntryTemplateManager` that enables creation, deletion, modification and query functionality for Content Data Entry Templates.
`IFolderManager` | `getFolderManager()` Returns an `IFolderManager` that enables creation, deletion, modification and query functionality for Content folders.
`IPresentationTemplateManager` | `getPresentationTemplateManager()` Returns an `IPresentationTemplateManager` object that enables creation, deletion, query, and template text modification and functionality for Content Presentation Templates.
`IPropertyManager` | `getPropertyManager()` Returns an `IPropertyManager` object that enables Content Server property creation functionality.
`IPublishablePresentationTemplateManager` | `getPublishablePresentationTemplateManager()` Returns an `IPublishablePresentationTemplateManager` object that enables creation, deletion, query, and template text modification and functionality for Content Presentation Templates without an associated Data Entry Template.
`ISelectionListManager` | `getSelectionListManager()` Returns an `ISelectionListManager` object that enables creation, deletion, query, and property modification functionality for Content selection lists.

Method Detail

### getContentItemManager

    public IContentItemManager getContentItemManager()

  Returns an `IContentItemManager` object that enables creation, deletion, modification, publishing and query functionality for Content items.

  Returns:
    an `IContentItemManager` object.

### getDataEntryTemplateManager

    public IDataEntryTemplateManager getDataEntryTemplateManager()

  Returns an `IDataEntryTemplateManager` that enables creation, deletion, modification and query functionality for Content Data Entry Templates.

  Returns:
    an `IDataEntryTemplateManager` object.

### getFolderManager

    public IFolderManager getFolderManager()

  Returns an `IFolderManager` that enables creation, deletion, modification and query functionality for Content folders.

  Returns:
    an `IFolderManager` object.

### getPresentationTemplateManager

    public IPresentationTemplateManager getPresentationTemplateManager()

  Returns an `IPresentationTemplateManager` object that enables creation, deletion, query, and template text modification and functionality for Content Presentation Templates.

  Returns:
    an `IPresentationTemplateManager` object.

### getPropertyManager

    public IPropertyManager getPropertyManager()

  Returns an `IPropertyManager` object that enables Content Server property creation functionality.

  Returns:
    an `IPropertyManager` object.

### getPublishablePresentationTemplateManager

    public IPublishablePresentationTemplateManager getPublishablePresentationTemplateManager()

  Returns an `IPublishablePresentationTemplateManager` object that enables creation, deletion, query, and template text modification and functionality for Content Presentation Templates without an associated Data Entry Template. This allows publishing static HTML content.

  Returns:
    an `IPresentationTemplateManager` object.

### getSelectionListManager

    public ISelectionListManager getSelectionListManager()

  Returns an `ISelectionListManager` object that enables creation, deletion, query, and property modification functionality for Content selection lists.

  Returns:
    an `ISelectionListManager` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.